Skip to main content
GET
/
vq
/
insider
/
{symbol}
/
transactions
Get insider transactions
curl --request GET \
  --url https://api.vectrade.io/v1/vq/insider/{symbol}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "symbol": "<string>",
      "insiderName": "<string>",
      "title": "<string>",
      "transactionType": "buy",
      "shares": 123,
      "price": 123,
      "totalValue": 123,
      "sharesOwnedAfter": 123,
      "filedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vectrade.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

symbol
string
required

Query Parameters

limit
integer
default:20

Response

Insider transaction list

data
object[]